Main Page Widgets Namespaces Book

# Gtk::RecentFilter Class Reference

Inheritance diagram for Gtk::RecentFilter:

[legend]
List of all members.

## Detailed Description

TODO: Add documentation when the C docs are online.

## Public Types

typedef sigc::slot< bool, const Info& > | SlotCustom
| For instance, bool on_custom(const Gtk::RecentFilter::Info& filter_info);.

## Public Member Functions

void | add_age (int days)
void | add_application (const Glib::ustring& application)
void | add_custom (RecentFilterFlags needed, const SlotCustom& slot)
void | add_group (const Glib::ustring& group)
void | add_mime_type (const Glib::ustring& mime_type)
void | add_pattern (const Glib::ustring& pattern)
void | add_pixbuf_formats ()
Glib::ustring | get_name () const
RecentFilterFlags | get_needed () const
const GtkRecentFilter* | gobj () const
| Provides access to the underlying C GtkObject.
GtkRecentFilter* | gobj ()
| Provides access to the underlying C GtkObject.
| RecentFilter ()
void | set_name (const Glib::ustring& name)
virtual | ~RecentFilter ()

## Related Functions

(Note that these are not member functions.)
Gtk::RecentFilter* | wrap (GtkRecentFilter* object, bool take_copy=false)

## Classes

class | Info

## Member Typedef Documentation

typedef sigc::slot<bool, const Info&> Gtk::RecentFilter::SlotCustom

| For instance, bool on_custom(const Gtk::RecentFilter::Info& filter_info);.

## Constructor & Destructor Documentation

virtual Gtk::RecentFilter::~RecentFilter | ( |  | ) | `[virtual]`

Gtk::RecentFilter::RecentFilter | ( |  | ) |

## Member Function Documentation

void Gtk::RecentFilter::add_age | ( | int | days | ) |

void Gtk::RecentFilter::add_application | ( | const Glib::ustring& | application | ) |

void Gtk::RecentFilter::add_custom | ( | RecentFilterFlags | needed,
|  | const SlotCustom& | slot
| ) |

void Gtk::RecentFilter::add_group | ( | const Glib::ustring& | group | ) |

void Gtk::RecentFilter::add_mime_type | ( | const Glib::ustring& | mime_type | ) |

void Gtk::RecentFilter::add_pattern | ( | const Glib::ustring& | pattern | ) |

void Gtk::RecentFilter::add_pixbuf_formats | ( |  | ) |

Glib::ustring Gtk::RecentFilter::get_name | ( |  | ) | const

RecentFilterFlags Gtk::RecentFilter::get_needed | ( |  | ) | const

const GtkRecentFilter* Gtk::RecentFilter::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Object.

GtkRecentFilter* Gtk::RecentFilter::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Object.

void Gtk::RecentFilter::set_name | ( | const Glib::ustring& | name | ) |

## Friends And Related Function Documentation

Gtk::RecentFilter* wrap | ( | GtkRecentFilter* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentfilter.h